package com.liangjian.dataplatform.member.entity.po.tertiary;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Author: 黄树文
 * @Date: 2019/11/29 11:35
 */
@Entity
@Table(name = "DataDictory")
@ApiModel("字典")
public class DataDictory {

    @Id
    @ApiModelProperty("编码")
    @Column(name = "Id")
    private String id;

    @ApiModelProperty("键")
    @Column(name = "[Key]")
    private String key;

    @ApiModelProperty("平台名称")
    @Column(name = "Text")
    private String text;

    @ApiModelProperty("平台编号")
    @Column(name = "Value")
    private String value;

    @ApiModelProperty("备注")
    @Column(name = "Remark")
    private String remark;

    @ApiModelProperty("父Id")
    @Column(name = "ParentId")
    private Integer parentId;

    @ApiModelProperty("排序键")
    @Column(name = "SortKey")
    private  Integer sortKey;

    @ApiModelProperty("是否隐藏")
    @Column(name = "IsHide")
    private Boolean isHide;

    @ApiModelProperty("状态")
    @Column(name = "SyncStatus")
    private String syncStatus;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getSortKey() {
        return sortKey;
    }

    public void setSortKey(Integer sortKey) {
        this.sortKey = sortKey;
    }

    public Boolean getHide() {
        return isHide;
    }

    public void setHide(Boolean hide) {
        isHide = hide;
    }

    public String getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(String syncStatus) {
        this.syncStatus = syncStatus;
    }
}
